/** apci1710.c
 *
 *  Author: J. Krauth
 *  Creation: 22.09.2015
 *  $LastChangedDate: 2014-12-15 15:55:58 +0100 (Mo, 15. Dez 2014) $
 *  $LastChangedRevision: 1327 $
 *
 *  Copyright (C) 2015 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmünster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 **/

//--------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------

#include "board_data.h"
#include "pci.h"
#include "pcie040-kapi.h"

MODULE_LICENSE("GPL");
MODULE_AUTHOR("ADDI-DATA");

//--------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------

int __init pcie040_init(void)
{
    pcie040_pci_init();
    return 0;
}

void __exit pcie040_exit(void)
{
	pcie040_pci_cleanup();
}

//--------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------

module_init(pcie040_init);
module_exit(pcie040_exit);
